#
# Be sure to run `pod lib lint BFVideoEditKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFVideoEditKit'
  s.version          = '0.1.1'
  s.summary          = '创作工具库'
  s.swift_version    = '5.0'
  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://git.yishihui.com/iOS/BFVideoEditKit'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'SanWCoder' => 'wenweiwei@piaoquantv.com' }
  s.source           = { :git => 'https://git.yishihui.com/iOS/BFVideoEditKit.git', :tag => s.version.to_s }
  s.ios.deployment_target = '10.0'
  s.resource_bundles = {
      'BFVideoEditKit_Resources' => ['BFVideoEditKit/Assets/Resources/*']
  }
  s.dependency 'BFCommonKit'
  s.dependency 'BFNetRequestKit'
  s.dependency 'BFMaterialKit'
  s.dependency 'BFMediaKit'
  s.dependency 'BFAnalyzeKit'
  s.dependency 'BFUIKit'
  s.dependency 'BFAliyunNlsSDK-Swift'
  s.dependency 'BFUploadKit'
  s.source_files = 'BFVideoEditKit/Classes/**/*'
  s.requires_arc = true
  s.static_framework = true
  s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-all_load','ENABLE_BITCODE' => 'NO' }
end
