#
# Be sure to run `pod lib lint BFMediaKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFMediaKit'
  s.version          = '0.1.0'
  s.summary          = '媒体处理库'
  s.swift_version    = '5.0'
  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://github.com/iOS/BFMediaKit'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'wenweiwei' => 'wenweiwei@piaoquantv.com' }
  s.source           = { :git => 'https://github.com/iOS/BFMediaKit.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'
  s.ios.deployment_target = '10.0'
  s.requires_arc = true
  s.static_framework = true
  s.frameworks = 'UIKit', 'AVFoundation','OpenGLES', 'CoreMedia', 'QuartzCore'
  s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-all_load'}
  s.xcconfig = { 'CLANG_MODULES_AUTOLINK' => 'YES',
                  'OTHER_SWIFT_FLAGS' => "$(inherited) -DGLES",
                   'VALIDATE_WORKSPACE_SKIPPED_SDK_FRAMEWORKS' => "OpenGLES"
                 }
  s.resource_bundles = {
    'BFMediaKit_Resources' => ['BFMediaKit/Assets/**/*']
  }
  s.source_files = 'BFMediaKit/Classes/**/*'
  s.dependency 'BFCommonKit'
  s.dependency 'ObjectMapper'             ,'4.2.0'    # json转model库
  s.dependency 'RealmSwift'               ,'10.7.6'
  s.dependency 'NuiSDK'                   ,'2.5.14'
end
